require 'scripts/state_manager'
require 'scripts/tilesets'
require 'scripts/state_menu'
require 'scripts/state_game'
require 'scripts/state_popup'

--PLAN: Make a VS. Type of Game

function love.load()
   state_manager.push(state_menu)
end
function love.update(dt)
   state_manager.update(dt)
end
function love.draw()
   state_manager.draw()
end

function love.keypressed(key)
   state_manager.keypressed(key)
end
function love.keyreleased(key)
   state_manager.keyreleased(key)
end

function love.mousepressed(x, y, button)
   state_manager.mousepressed(x, y, button)
end
function love.mousereleased(x, y, button)
   state_manager.mousereleased(x, y, button)
end