buttons = {}

function buttons.load()
   buttons.list = {}
   buttons.list['enter']    = {image = love.graphics.newImage('images/enter_button.png'),    x = 235, y = 475}
   buttons.list['shuffle']  = {image = love.graphics.newImage('images/shuffle_button.png'),  x = 301, y = 475}
   buttons.list['clear']    = {image = love.graphics.newImage('images/clear_button.png'),    x = 367, y = 475}
   buttons.list['previous'] = {image = love.graphics.newImage('images/previous_button.png'), x = 433, y = 475}
   buttons.list['pause']    = {image = love.graphics.newImage('images/pause_button.png'),    x = 499, y = 475}

   buttons.list['exit']     = {image = love.graphics.newImage('images/exit_button.png'),     x = 730, y = 530}
end
function buttons.draw()
   for _, v in pairs(buttons.list) do
      love.graphics.draw(v.image, v.x, v.y)
   end
end
function buttons.unload()
   buttons.list = nil
end

function buttons.mousepressed(x, y, button)
   if button == 'l' then
      for i, v in pairs(buttons.list) do
         if x >= v.x and x <= v.x + v.image:getWidth()  and
            y >= v.y and y <= v.y + v.image:getHeight() then
            if i == 'enter' then
               chips.enter()
            elseif i == 'shuffle' then
               chips.shuffle()
            elseif i == 'clear' then
               chips.clear()
            elseif i == 'previous' then
               chips.previous()
            elseif i == 'exit' then
               state_popup.display('EXIT', 'Are you sure you want to exit?')
            elseif i == 'pause' then
               state_popup.display('PAUSE', 'Press OK to resume')
            end
         end
      end
   end
end