timer = {}
function timer.load()
   timer.x             = (love.window.getWidth() / 2) - (state_game.font:getWidth('9:99') / 2)
   timer.y             = 440
   timer.minutes       = 4
   timer.seconds       = 0
   timer.milliseconds  = 0
   timer.string = ''
end
function timer.update(dt)
   if timer.isEnded() == false then
      timer.milliseconds = timer.milliseconds + dt
      if timer.milliseconds >= 1 then
         timer.milliseconds = 0
         timer.seconds = timer.seconds - 1
         if timer.seconds < 0 then
            timer.minutes = timer.minutes - 1
            timer.seconds = 59
         end
      end

      if timer.seconds > 9 then
         timer.string = timer.minutes .. ':' .. timer.seconds
      else
         timer.string = timer.minutes .. ':0' .. timer.seconds
      end
   else
      local got_longest = false
      
      for _, v in pairs(words.list) do
         if #v.word == words.longest and v.solved == true then
            got_longest = true
         end
      end
      
      if got_longest == true then
         state_popup.display('WORD WHACKED', 'You managed to whack one of the longest words! Get ready for the next one.')
      else
         state_popup.display('GAME OVER', 'You failed to whack the word. Nice try, though.')
      end
   end
end
function timer.draw()
   love.graphics.print(timer.string, timer.x, timer.y)
end
function timer.unload()
   timer.x            = nil
   timer.y            = nil
   timer.minutes      = nil
   timer.seconds      = nil
   timer.milliseconds = nil
   timer.string       = nil
end

---

function timer.isEnded()
   if timer.minutes > 0 or timer.seconds > 0 then
      return false
   else
      return true
   end
end